MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023111Open CASCADE[OCCT] OCCT:Meshpublic2012-04-16 15:582017-08-11 13:58
Reporterski 
Assigned Tooan 
PrioritynoneSeverityminor 
StatusassignedResolutionopen 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.2.1Fixed in Version 
Summary0023111: Incorrect mesh
DescriptionIn test ctn/001/C4 shape "res" has an incorrect mesh
TagsNo tags attached.
Test case numbermesh standard_shading(001) X4; mesh standard_incmesh(002) X4; mesh standard_mesh(003) X4; mesh standard_incmesh_parallel(007) X4
Attached Files? file icon C4 (87 bytes) 2012-04-16 15:58

- Relationships
related to 0025588assignedoan Community BRepMesh_ShapeTool::FindUV check for 2d points to be the same is inconsistent with ShapeAnalysis_Wire::CheckLacking 
related to 0025045closedabv Community STEP Import fails to find all surfaces 

-  Notes
(0023458)
kgv (developer)
2013-02-22 16:28

Dear oan,

please check if bug description contains complete information.
(0023626)
oan (developer)
2013-03-07 15:39

Dear ski,

Next time please share the screenshots of incorrect result you have received, because attached script doesn't give any information itself.

So, I have tested this case under the 23105 fix and in my opinion the result is ok. Therefore I'll make the dependency from this bug.

Please test when it will be integrated.
(0023931)
oan (developer)
2013-03-29 11:36

Dear Bugmaster,

Please test, it seems that the doubtful problem meant in the bug cannot be reproduced on the current master.
(0023983)
mkv (tester)
2013-04-03 15:38

Dear Bugmaster,

Now test script ctn/001/C4 have 4 following modifications and following results on current master:

On Windows:

mesh standard_shading(001) X4
Error : incorrect node 727 at -0.0513372499569111 0.0296395750820777 0.998241444919923
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Windows-32-VC9/mesh/standard_shading/X4.html [^]

mesh standard_incmesh(002) X4
Error : area by triangles differs from the actual area by 3.2212030008686527 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Windows-32-VC9/mesh/standard_incmesh/X4.html [^]

mesh standard_mesh(003) X4
Error : area by triangles differs from the actual area by 3.2212030008686527 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Windows-32-VC9/mesh/standard_mesh/X4.html [^]

mesh standard_incmesh_parallel(007) X4
Error : area by triangles differs from the actual area by 3.2212030008686527 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Windows-32-VC9/mesh/standard_incmesh_parallel/X4.html [^]

On Linux:

mesh standard_shading(001) X4
Error : incorrect node 724 at -0.051337250008606 0.0296395751119238 0.998241444916378
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Mandriva2010/mesh/standard_shading/X4.html [^]

mesh standard_incmesh(002) X4
Error : area by triangles differs from the actual area by 3.2212029647096165 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Mandriva2010/mesh/standard_incmesh/X4.html [^]

mesh standard_mesh(003) X4
Error : area by triangles differs from the actual area by 3.2212029647096165 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Mandriva2010/mesh/standard_mesh/X4.html [^]

mesh standard_incmesh_parallel(007) X4
Error : area by triangles differs from the actual area by 3.2212029647096165 %
http://occt-tests/IR-2013-03-29-IR-2013-03-29-occt/Mandriva2010/mesh/standard_incmesh_parallel/X4.html [^]
(0069322)
oan (developer)
2017-08-11 13:58

Fixed by #26106 issue.

- Issue History
Date Modified Username Field Change
2012-04-16 15:58 ski New Issue
2012-04-16 15:58 ski Assigned To => pdn
2012-04-16 15:58 ski File Added: C4
2013-02-22 16:28 kgv Note Added: 0023458
2013-02-22 16:28 kgv Assigned To pdn => oan
2013-02-22 16:28 kgv Category OCCT:Visualization => OCCT:Mesh
2013-03-07 15:39 oan Note Added: 0023626
2013-03-07 15:40 oan Relationship added related to 0023105
2013-03-11 09:51 oan Assigned To oan => ski
2013-03-11 09:51 oan Status new => feedback
2013-03-29 11:36 oan Note Added: 0023931
2013-03-29 11:36 oan Relationship deleted related to 0023105
2013-03-29 11:36 oan Assigned To ski => bugmaster
2013-03-29 11:36 oan Status feedback => resolved
2013-03-29 11:36 oan Status resolved => reviewed
2013-03-29 18:14 mkv Assigned To bugmaster => mkv
2013-04-03 15:38 mkv Note Added: 0023983
2013-04-03 15:38 mkv Test case number => mesh standard_shading(001) X4; mesh standard_incmesh(002) X4; mesh standard_mesh(003) X4; mesh standard_incmesh_parallel(007) X4
2013-04-03 15:38 mkv Assigned To mkv => oan
2013-04-03 15:38 mkv Status reviewed => feedback
2013-04-15 13:42 abv Target Version => 6.7.0
2013-07-23 12:36 oan Status feedback => assigned
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-07-07 12:37 oan Relationship added related to 0025045
2014-09-01 17:46 oan Relationship added related to 0025157
2014-09-01 17:47 oan Relationship deleted related to 0025157
2014-09-12 19:17 oan Target Version 6.8.0 => 7.1.0
2014-12-23 16:06 oan Relationship added related to 0025588
2016-04-01 11:11 oan Relationship added related to 0027158
2016-10-17 11:25 oan Relationship added related to 0026106
2016-10-17 11:25 oan Relationship deleted related to 0027158
2016-11-09 13:59 oan Target Version 7.1.0 => 7.2.0
2017-07-20 12:43 oan Target Version 7.2.0 => 7.2.1
2017-08-11 13:58 oan Note Added: 0069322


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker